summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoroech3 <79379754+oech3@users.noreply.github.com>2026-02-12 16:32:19 +0000
committerPádraig Brady <P@draigBrady.com>2026-02-12 16:33:38 +0000
commitfc42e7d28110bcae5777de1d1ba910d5a289673a (patch)
tree6cd479cfcb44bec50e6880353d14fc3482c87ca4
parent78e97507e6c9c1c2c5594167958f8ccef82554d7 (diff)
downloadcoreutils-fc42e7d28110bcae5777de1d1ba910d5a289673a.tar.gz
coreutils-fc42e7d28110bcae5777de1d1ba910d5a289673a.zip
tests: cp: ensure --debug output failure is diagnosed
* tests/cp/debug.sh: cp diagnostics are written to stdout, so ensure output errors are diagnosed. https://github.com/coreutils/coreutils/pull/192
-rwxr-xr-xtests/cp/debug.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/cp/debug.sh b/tests/cp/debug.sh
index 25ea639ec..deff05357 100755
--- a/tests/cp/debug.sh
+++ b/tests/cp/debug.sh
@@ -29,4 +29,9 @@ touch file.cp || framework_failure_
cp --debug --update=none file file.cp >cp.out || fail=1
grep 'skipped' cp.out || fail=1
+if test -w /dev/full && test -c /dev/full; then
+ returns_ 1 cp file file.cp2 --debug >/dev/full || fail=1
+ test -e file.cp2 || fail=1
+fi
+
Exit $fail